;;; oni-alert.el --- Alert configuration             -*- lexical-binding: t; -*-

;; Copyright (C) 2019  Tom Willemse

;; Author: Tom Willemse <tom@ryuslash.org>
;; Keywords: local
;; Version: 2019.0904.210205
;; Package-Requires: (alert)

;; This program is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.

;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <https://www.gnu.org/licenses/>.

;;; Commentary:

;; Alert configuration.

;;; Code:

(require 'alert)

(if (eql system-type 'windows-nt)
    (progn
      (setq alert-default-icon "c:/Users/WillemsenT/Emacs-25.1-2/share/emacs/25.1/etc/images/icons/hicolor/48x48/apps/emacs.png")
      (setq alert-default-style 'toaster)
      (setq alert-toaster-command "U:/projects/toaster/toast/bin/Release/toast.exe")
      (setq alert-toaster-default-icon "c:/Users/WillemsenT/Emacs-25.1-2/share/emacs/25.1/etc/images/icons/hicolor/48x48/apps/emacs.png"))
  (setq alert-default-style 'libnotify))

;;;###autoload(with-eval-after-load 'alert (require 'oni-alert))

(provide 'oni-alert)
;;; oni-alert.el ends here
